/*
   client/worldview.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_WORLDVIEW_H__
#define __INCLUDED_CLIENT_WORLDVIEW_H__

#include "ui/widget.h"
#include "client/playerview.h"
#include "client/infowidget.h"

namespace client
{

/// the world view when connected
class WorldView : public ui::Widget
{
public:
	WorldView(ui::Widget *parent = 0);
	virtual ~WorldView();

	void clear();

	void event_text(const std::string & text);

	inline PlayerView *playerview() {
		return view_playerview;
	}

protected:
	virtual void draw();
	virtual void resize();

private:
	DevInfoWidget	*view_devinfo;
	StatsInfoWidget	*view_statsinfo;
	KeyInfoWidget	*view_keyinfo;
	ClockInfoWidget	*view_clock;
	Notifications	*view_notify;
	PlayerView	*view_playerview;
	
};

}

#endif // __INCLUDED_CLIENT_PLAYERVIEW_H__

