/*
   render/tga.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/


#ifndef _INCLUDED_RENDER_TGA_H__
#define _INCLUDED_RENDER_TGA_H__

#include "render/image.h"

namespace render
{

/// a class for loading and saving .tga files
class TGA
{

public:
	/// load a TGA image file from disk
	/** @param filename	short path to the filename to be loaded
	 */
	static Image *load(const char * filename);

	/// write an image to a TGA file
	/** @param filename	short path to the file to write the image data to
	 */
	static void save(const char *filename, Image & image);
};

}

#endif //_INCLUDED_RENDER_TGA_H__

